Subject: Composer integration - PackageStates.php
Description

It seems that composer packages without autoload.psr-0 definition in its composer.json are not integrated correctly in
Configuration/PackageStates.php which results in class not found exceptions.

E.g. using https://github.com/leafo/lessphp
composer.json: 

   "autoload": {
        "classmap": ["lessc.inc.php"]
    },

result in PackageStates.php:

 'leafo.lessphp' =>
    array (
      'manifestPath' => '',
      'composerName' => 'leafo/lessphp',
      'state' => 'active',
      'packagePath' => 'Libraries/leafo/lessphp/',
      'classesPath' => 'Classes/',
    ),

The classpath is wrong in that case. Correct would be 'classPath'=>'',

History
#1 - 2013-04-04 16:21 - Christian Jul Jensen
- Tracker changed from Bug to Feature
- Priority changed from Must have to Should have
- Target version deleted (2.0)

You are right, currently only PSR-0 compatible 3rd-party code is supported. It is not only about the generation of packagestates, but also bout the way
we autoload and reflect/proxy code. We want to have suport for other autoload schemes, but it requires some bigger changes.

Best practice currently is to add a Package.php to your "consuming" Flow package and include the autoloader generated by composer for the
package. It will allow to you use the code, but you will not get AOP etc.
#2 - 2013-05-21 13:21 - Robert Lemke
- Target version set to 2.1

#3 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)
